umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions | Variables
import_rose.cpp File Reference
`#include "import_rose.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "folder.h"`
`#include "debug_utils.h"`
`#include "import_utils.h"`
`#include "petalnode.h"`
`#include "petaltree2uml.h"`
`#include <KLocalizedString>`
`#include <QMessageBox>`
`#include <QRegExp>`
`#include <QString>`
`#include <QStringList>`
`#include <QTextStream>`

## Namespaces
namespace | Import_Rose

## Macros
#define | DBG_SRC QStringLiteral("Import_Rose")
#define | SETCODEC(str) stream.setCodec(str); break

## Functions
void | Import_Rose::methodName (const QString &m)
QString | Import_Rose::mdlPath ()
QString | Import_Rose::loc ()
QStringList | Import_Rose::scan (const QString &lin)
QString | Import_Rose::shift (QStringList &l)
bool | Import_Rose::checkClosing (QStringList &tokens)
bool | Import_Rose::isImmediateValue (QString s)
QString | Import_Rose::extractImmediateValues (QStringList &l)
QString | Import_Rose::collectVerbatimText (QTextStream &stream)
QString | Import_Rose::extractValue (QStringList &l, QTextStream &stream)
PetalNode * | Import_Rose::readAttributes (QStringList initialArgs, QTextStream &stream)
UMLPackage * | Import_Rose::loadFromMDL (QFile &file, UMLPackage *parentPkg)

## Variables
QString | Import_Rose::dirPrefix
Uml::ProgrammingLanguage::Enum | Import_Rose::progLang = Uml::ProgrammingLanguage::Reserved
uint | Import_Rose::nClosures
uint | Import_Rose::linum
QString | Import_Rose::g_methodName

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Import_Rose")

## ◆ SETCODEC

#define SETCODEC | ( |  | str | ) | stream.setCodec(str); break